intfiction.org

The Interactive Fiction Community Forum
It is currently Sun Nov 18, 2018 1:54 am

All times are UTC - 6 hours [ DST ]




Post new topic Reply to topic  [ 37 posts ]  Go to page 1, 2, 3, 4  Next
Author Message
PostPosted: Sun May 04, 2014 8:00 pm 
Offline

Joined: Tue Mar 18, 2008 9:04 am
Posts: 1131
This topic is for discussions related to Location Images by Emily Short


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 6:04 am 
Offline

Joined: Sat Sep 27, 2014 4:14 pm
Posts: 27
Hi

I'm trying to use location images however I get this error when running a game, either with a location image set for a room or without;

Problem. You wrote 'change currently shown picture to the room illustration of the location' : but this is a phrase which I don't recognise, possibly because it is one you meant to define but never got round to, or because the wording is wrong (see the Phrasebook section of the Index to check). Alternatively, it may be that the text immediately previous to this was a definition whose ending, normally a full stop, is missing?


If I disable the include line then the game runs.

Olly


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 11:05 am 
Offline
User avatar

Joined: Tue Nov 08, 2011 8:11 am
Posts: 2753
Location: US - Central
"Currently shown picture" is defined in Simple Graphical Window by Emily Short which this extension requires. Do you also have Simple Graphical Window installed?

(The documentation for Location Images mentions Simple Graphical Window but does not explicitly say it is required, so that may be a minor oversight.)

_________________
http://hanonondricek.wixsite.com/pyramidif
https://pyramidif.itch.io/


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 11:16 am 
Offline

Joined: Sat Sep 27, 2014 4:14 pm
Posts: 27
Thanks. I scoured the docs and added any reference to the plugins, and that's where I got that error (should have said, soz).

This is my extension list.

Attachment:
2018-03-17 15_55_27-Test.inform - Inform.png
2018-03-17 15_55_27-Test.inform - Inform.png [ 61.32 KiB | Viewed 1969 times ]


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 11:32 am 
Offline
User avatar

Joined: Tue Nov 08, 2011 8:11 am
Posts: 2753
Location: US - Central
Mine is working fine. I noticed your version of SGW is 10 when the Library version is 9. Did you update SGW from the I7 website or elsewhere? Can you get this far in a compile with just a one-room project?

(For reference, my game compiled and ran without an image with just the source text "Lab is a room."

Attachment:
Screenshot 2018-03-17 11.42.00.png
Screenshot 2018-03-17 11.42.00.png [ 173.94 KiB | Viewed 1964 times ]

_________________
http://hanonondricek.wixsite.com/pyramidif
https://pyramidif.itch.io/


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 11:47 am 
Offline

Joined: Sat Sep 27, 2014 4:14 pm
Posts: 27
Where are you seeing v9? If I google, all the ones on the i7 site are v8 from what I can see, except for the one at https://i7el.herokuapp.com/extensions/s ... mily-short which is where I got this extension.


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 11:50 am 
Offline

Joined: Sat Sep 27, 2014 4:14 pm
Posts: 27
I just realised there's a "Other versions" link on that site. So I got v9 from there but it still happens.


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 11:52 am 
Offline

Joined: Sat Sep 27, 2014 4:14 pm
Posts: 27
Just tried it with a new single room project and it still happens.


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 11:53 am 
Offline
User avatar

Joined: Tue Nov 08, 2011 8:11 am
Posts: 2753
Location: US - Central
Aha! You should check the Public Library in the IDE and download extensions from there. The ones on the I7 website may not be the same ones. The ones in the library are usually the most current. If you scroll to the bottom, there's a button that will update every extension you have. You can also download extensions singly or grab 'em all.

(This shot is from the Mac I7 - on Windows the tabs may be moved top to side, I don't recall off the top of my head.)

Attachment:
Screenshot 2018-03-17 11.51.50.png
Screenshot 2018-03-17 11.51.50.png [ 154.71 KiB | Viewed 1962 times ]

_________________
http://hanonondricek.wixsite.com/pyramidif
https://pyramidif.itch.io/


Top
 Profile Send private message  
Reply with quote  
PostPosted: Sat Mar 17, 2018 12:13 pm 
Offline

Joined: Sat Sep 27, 2014 4:14 pm
Posts: 27
Right. Updated and installed all the extensions from the IDE.

Still get that error. :(


Top
 Profile Send private message  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 37 posts ]  Go to page 1, 2, 3, 4  Next

All times are UTC - 6 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group